<?php
/*
+--------------------------------------------------------------------------
|   ========================================
|   Avatar Random 3
|   ========================================
|   by Newsboard Forum
|   (c) 2009 - 2010
|   ========================================
|   http://newsboard.forumfree.it
|   ========================================
+--------------------------------------------------------------------------
*/

error_reporting(0);

//============================================================
// COSTANTS
//============================================================

// Avatar directory //////////////////////////////////////////
define('AVATAR_DIRECTORY', dirname(__FILE__) . '/upload_ar3/');

//============================================================
// FUNCTION
//============================================================

/**
 * Get avatar list
 */
function get_list_avatar()
{
	if ((@include AVATAR_DIRECTORY . 'ar3_list.php'))
	{
		if (isset($list_avy))
		{
			if ($list = unserialize(stripslashes($list_avy)))
			{
				if (is_array($list) && sizeof($list))
				{
					return $list;
				}
			}
		}
	}
	return false;
}

//============================================================
// GO!
//============================================================

if (!$list = get_list_avatar())
{
	die('Vai su <a href="index.php">index.php</a> e aggiorna la lista degli avatar utilizzabili!');
}

//-------------------------------
// Shuffle an array
//-------------------------------
shuffle($list);

//-------------------------------
// Output
//-------------------------------
foreach ($list as $real_filename)
{
	$filename = AVATAR_DIRECTORY . basename($real_filename);

	if (file_exists($filename))
	{
		if ($size = @getimagesize($filename))
		{
			if (!empty($size['mime']) && in_array($size[2], array(1,2,3,9)))
			{
				header('Content-type: ' . $size['mime']);
				header('Content-Disposition: inline; filename="' . $real_filename . '"');
				header("Expires: Fri, 01 Jan 2010 05:00:00 GMT");
				header("Cache-Control: no-store, no-cache, must-revalidate");
				header("Pragma: no-cache");
				readfile($filename);
				exit;
			}
		}
	}
}

//-------------------------------
// Error?
//-------------------------------
die('404 - Immagini non trovate');

?>